libnvme(2)

NAME
struct nvme_mi_vpd_ppmra - NVMe PCIe Port MultiRecord Area

SYNOPSIS
struct nvme_mi_vpd_ppmra {
__u8 nppmravn;
__u8 pn;
__u8 ppi;
__u8 ls;
__u8 mlw;
__u8 mctp;
__u8 refccap;
__u8 pi;
__u8 rsvd13[3];
};

Members

nppmravn
    NVMe PCIe Port MultiRecord Area Version Number

pn  PCIe Port Number

ppi Port Information

ls  PCIe Link Speed

mlw PCIe Maximum Link Width

mctp
    MCTP Support

refccap
    Ref Clk Capability

pi  Port Identifier

rsvd13
    Reserved